# Commandline Application - 4versa

#### 4RDF Query version 1.0b1

> 4Versa command-line query application Note: this is a general-purpose Versa tool. If you wish to query a 4Suite repository, you may find '4ss rdf versa' more convenient.

## Usage

    4versa

    [--help] [--driver=<DRIVER>] [--dbname=<DBNAME>]
    [--modelname=<MODELNAME>] [--scope=<SCOPE>]
    [--rdf-file=<URI>] [--input-format=<FORMAT>] [--qfile=<URI>]
    [query]...

## Options

Name | Description
--- | ---
-h, --help | show detailed help message
--driver=<DRIVER> | Use the given 4RDF backend driver
--dbname=<DBNAME> | Query the RDF model database with the given name
--modelname=<MODELNAME> | the name of the model in the database
--scope=<SCOPE> | a scope to restrict the query
-r, --rdf-file=<URI> | URI of an RDF file to use as the model
--input-format=<FORMAT> | The format of the input file, can be "rdfxml" (the default) or "ntriples"
-q, --qfile=<URI> | File to read query from. It must have a line that reads QUERY=<query>. where <query> is the query to execute. It can also have multiple lines of NS=<prefix> <URI> where <prefix> is a namespace prefix and <URI> is a URI to map it to

## Arguments

Name | Description
--- | ---
query | The query to perform. Required if --file is not specified